#!/bin/sh
#
# Logs in to the 3Dfx CVS server and checks out copies of
# Device3Dfx, glide2x, glide3x, and swlibs
#
# Last modified 29-Apr-2000 by David Cantrell (david@slackware.com)
#

rm -rf {Device3Dfx,glide2x,glide3x,swlibs}
echo "This is just a formality, you can safely hit ENTER for the password."
cvs -d:pserver:anonymous@cvs.glide.sourceforge.net:/cvsroot/glide login
for modname in Device3Dfx glide2x glide3x swlibs
do
   cvs \
      -z9 \
      -d:pserver:anonymous@cvs.glide.sourceforge.net:/cvsroot/glide \
      checkout $modname
done
find . -type d -name CVS -exec rm -rf {} \;
for modname in Device3Dfx glide2x glide3x swlibs
do
   if [ -d $modname ]
   then
      tar cvzf $modname.tar.gz $modname
      rm -rf $modname
   fi
done

# Fix permissions
chmod 644 Device3Dfx.tar.gz
chmod 644 glide3x.tar.gz
chmod 644 glide2x.tar.gz
chmod 644 swlibs.tar.gz

# Put the sources in their correct locations
mv Device3Dfx.tar.gz dev3dfx/Device3Dfx.tar.gz
mv glide3x.tar.gz v3-glide/glide3x.tar.gz
mv glide2x.tar.gz v3-glide/glide2x.tar.gz
mv swlibs.tar.gz v3-glide/swlibs.tar.gz

# we need symlink instances of the source tarballs in other locations
(
   cd sdk3x
   rm -rf glide3x.tar.gz ; ln -sf ../v3-glide/glide3x.tar.gz .
   rm -rf swlibs.tar.gz ; ln -sf ../v3-glide/swlibs.tar.gz .
)
(
   cd v3-dri
   rm -rf glide3x.tar.gz ; ln -sf ../v3-glide/glide3x.tar.gz .
   rm -rf swlibs.tar.gz ; ln -sf ../v3-glide/swlibs.tar.gz .
)
(
   cd sdk2x
   rm -rf glide2x.tar.gz ; ln -sf ../v3-glide/glide2x.tar.gz .
   rm -rf swlibs.tar.gz ; ln -sf ../v3-glide/swlibs.tar.gz .
)
(
   cd v2-glide
   rm -rf glide2x.tar.gz ; ln -sf ../v3-glide/glide2x.tar.gz .
   rm -rf glide3x.tar.gz ; ln -sf ../v3-glide/glide3x.tar.gz .
   rm -rf swlibs.tar.gz ; ln -sf ../v3-glide/swlibs.tar.gz .
)
(
   cd vg-glide
   rm -rf glide2x.tar.gz ; ln -sf ../v3-glide/glide2x.tar.gz . 
   rm -rf swlibs.tar.gz ; ln -sf ../v3-glide/swlibs.tar.gz .
)
(
   cd mesagl
   rm -rf glide2x.tar.gz ; ln -sf ../v3-glide/glide2x.tar.gz . 
   rm -rf swlibs.tar.gz ; ln -sf ../v3-glide/swlibs.tar.gz .
)
